Validate amendment data points

Validate amendment data points that require external validation Token scopes: contracts:write

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer
Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Path parameters

contract_idstringRequiredformat: "alphanumeric"
The unique identifier of the employee contract.

Request

This endpoint expects an object.
datamap from strings to anyOptional

Dynamic object containing amendment fields. Supports flexible keys such as scope, job_title, or others.

Response

Validation result
datamap from strings to objects or null
Validation results keyed by amendment field

Errors